<?php
#Made By: AngelOfFaith
#URL: http://coder-lib.ru
#ICQ: 410755038
#Mail: angeloffaith@inbox.ru
#Скпри запрещено продавать, раздавать, менять, выкладывать, переписывать!
#Все права на скрипт принадлежат автору, тоесть мне!
#З.Ы. Уважайте авторские права

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Онлайн город'; // заголовок страницы

include_once '../sys/inc/thead.php';
title();
err();
aut();

$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));

if(isset($user)){
if($gconf[0]['open']!=1){

echo '<b><font color="red">Оружие и снасти</font></b><br/>';



$action=htmlspecialchars(trim($_GET['action']));


switch ($action){

default:
echo'Здарова, '.$user['nick'].'!<br/>';
echo'У тебя есть '.$user['gorod_money'].' монет<br/>';
$x=mysql_query("SELECT * FROM `gorod_invent` WHERE `type`='weapon' OR type='udo4ka' AND `uid`='".$user['id']."' LIMIT 2");
while($row=mysql_fetch_assoc($x)){

if($row['type']=='udo4ka'){
echo '<a href="snar.php?action=prod&amp;item=1">Продажа: '.$row['name'].' за '.($row['price']/2).' монет</a><br/>';
}
if($row['type']=='weapon'){
echo '<a href="snar.php?action=prod&amp;item=2">Продажа: '.$row['name'].' за '.($row['price']/2).' монет</a><br/>';
}

};

if($user['gorod_money']<100){
echo '<br/> У вас слишком мало денег, чтобы что-то купить.';
}else{
echo '<br/>Наличие товара:<br/><font color="red"><b>Для рыбалки:</b></font><br/>';
echo'<a href="snar.php?action=pokupka&amp;sn=1">Удочка из бамбука (100 монет)</a><br/>';
echo'<a href="snar.php?action=pokupka&amp;sn=2">Телескопичка (150 монет)</a><br/>';
echo'<a href="snar.php?action=pokupka&amp;sn=3">Донка (200 монет)</a><br/>';
echo'<a href="snar.php?action=pokupka&amp;sn=4">Спининг (400 монет)</a><br/>';
echo'<a href="snar.php?action=pokupka&amp;sn=5">Закидуха (500 монет)</a><br/>';
echo'<a href="snar.php?action=pokupka&amp;sn=6">Электроудочка (1000 монет)</a><br/>';
echo'<font color="red"><b>Для охоты:</b></font><br/>';
echo'<a href="snar.php?action=pokupka&amp;sn=7">Обрез (100 монет)</a><br/>';
echo'<a href="snar.php?action=pokupka&amp;sn=8">Одностволка (250 монет)</a><br/>';
echo'<a href="snar.php?action=pokupka&amp;sn=9">Двустволка (500 монет)</a><br/>';
echo'<a href="snar.php?action=pokupka&amp;sn=10">Калашников (1000 монет)</a><br/>';
echo'<a href="snar.php?action=pokupka&amp;sn=11">Пулемет (2000 монет)</a><br/>';
echo'<a href="snar.php?action=pokupka&amp;sn=12">Пушка (5000 монет)</a><br/>';
}
break;



case 'prod':
$item=(int)$_GET['item'];
if(!$item){echo 'Пустые параметры!';break;};
if($item==1){
$x=mysql_query("SELECT * FROM `gorod_invent` WHERE type='udo4ka' AND `uid`='".$user['id']."' LIMIT 1");
if(!mysql_num_rows($x)){echo 'У вас нет удочки!';break;};
$x=mysql_fetch_assoc($x);
$price=($x['price']/2);
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`+'$price' WHERE `id`='".$user['id']."'");
mysql_query("DELETE FROM `gorod_invent` WHERE type='udo4ka' AND `uid`='".$user['id']."' LIMIT 1");
}else{
$x=mysql_query("SELECT * FROM `gorod_invent` WHERE type='weapon' AND `uid`='".$user['id']."' LIMIT 1");
if(!mysql_num_rows($x)){echo 'У вас нет оружия!';break;};
$x=mysql_fetch_assoc($x);
$price=($x['price']/2);
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`+'$price' WHERE `id`='".$user['id']."'");
mysql_query("DELETE FROM `gorod_invent` WHERE type='weapon' AND `uid`='".$user['id']."' LIMIT 1");
};
echo'<a href="snar.php">Продано! Вернуться</a><br/>';
break;


case 'pokupka':
$sn=(int)$_GET['sn'];
if(!$sn){echo 'Пустые параметры!';break;};
if($sn<=6){
$x=mysql_query("SELECT * FROM `gorod_invent` WHERE `type`='udo4ka' AND `uid`='".$user['id']."'");
if(mysql_num_rows($x)>0){echo 'Сначала продайте старую удочку!';break;};
};
if($sn>6){
$x=mysql_query("SELECT * FROM `gorod_invent` WHERE `type`='weapon' AND `uid`='".$user['id']."'");
if(mysql_num_rows($x)>0){echo 'Сначала продайте старое оружие!';break;};
};

if($sn==1){$tov='Удочка из бамбука';$price='100';$type='udo4ka';$dam=1;}
elseif($sn==2){$tov='Телескопичка';$price='150';$type='udo4ka';$dam=2;}
elseif($sn==3){$tov='Донка';$price='200';$type='udo4ka';$dam=3;}
elseif($sn==4){$tov='Спининг';$price='400';$type='udo4ka';$dam=4;}
elseif($sn==5){$tov='Закидуха';$price='500';$type='udo4ka';$dam=5;}
elseif($sn==6){$tov='Электроудочка';$price='1000';$type='udo4ka';$dam=6;}
elseif($sn==7){$tov='Обрез';$price='100';$type='weapon';$dam=1;}
elseif($sn==8){$tov='Одностволка';$price='250';$type='weapon';$dam=2;}
elseif($sn==9){$tov='Двустволка';$price='500';$type='weapon';$dam=3;}
elseif($sn==10){$tov='Калашников';$price='1000';$type='weapon';$dam=4;}
elseif($sn==11){$tov='Пулемет';$price='2000';$type='weapon';$dam=5;}
else{$tov='Пушка';$price='5000';$type='weapon';$dam=6;};


if($user['gorod_money']<$price){
echo'Нет у тебя столько денег! Купи чё-нить подешевле или проваливай.<br/>';break;};
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`-'$price' WHERE `id`='".$user['id']."'");
mysql_query("INSERT INTO `gorod_invent` (`uid`,`name`,`type`,`price`,`uron`)VALUES('".$user['id']."','$tov','$type','$price','$dam')");


echo '<b>Готово!</b><br/>';
echo '<a href="fishing.php">На рыбалку</a><br/>';
echo '<a href="ohota.php">На охоту</a><br/>';
echo '<a href="snar.php">В магазин</a><br/>';
break;





};
echo '<div class="msg"><a href="index.php">В город</a></div>';
}else{echo '<div class="msg">Город закрыт администратором!</div>';};

}else{
echo '<div class="msg">Город доступен только для авторизованых пользователей!</div>';
};

include_once '../sys/inc/tfoot.php';
?>